#include "CollisionDispatcher.h"

namespace BulletCLI 
{
	CollisionDispatcher::CollisionDispatcher(ICollisionConfiguration^ pConfig)
	{
		this->m_p=new btCollisionDispatcher(pConfig->GetPtr());
	}
	CollisionDispatcher::~CollisionDispatcher()
	{
		this->!CollisionDispatcher();
	}
	CollisionDispatcher::!CollisionDispatcher()
	{
		delete this->m_p;
	}
}